          Add a crate to a dataset.

add_crate(dataset, crate)

Argument
Description
dataset
A CrateDataset object.
crate
A Crate object such as a TABLECrate or IMAGECrate

The add_crate command adds the crate to the dataset.

>>> ds = CrateDataset()
>>> cr1 = read_file('img.fits')
>>> cr2 = read_file('tbl2.dat')
>>> cr2.name = 'TBLDATA'
>>> add_crate(ds, cr1)
>>> add_crate(ds, cr2)
>>> ds.write('new.fits')

See the bug pages on the CIAO website for an up-to-date listing of known bugs.

December 2013